GrabExclude (Groovy 5.0.6)

Package: groovy.lang

## [Java] Annotation Type GrabExclude

- groovy.lang.GrabExclude

-     @Retention(RetentionPolicy.SOURCE)
      @Target({
              ElementType.CONSTRUCTOR,
              ElementType.FIELD,
              ElementType.LOCAL_VARIABLE,
              ElementType.METHOD,
              ElementType.PARAMETER,
              ElementType.TYPE})
      public @interface GrabExclude

  Used to exclude an indirectly referenced artifact (a transitive dependency) from the classpath.

  Examples:
  `@GrabExclude(group='mysql', module='mysql-connector-java') // group/module form`
  `@GrabExclude('mysql:mysql-connector-java') // compact form`

  Further information about customising grape behavior can be found on the Grape documentation page: http://groovy-lang.org/grape.html.

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `String` | `group` The organisation or group, e.g.: "org.apache.ant"; required unless the compact form is used.
    `String` | `module` The module or artifact, e.g.: "ant-junit"; required unless the compact form is used.
    `String` | `value` Allows you to specify the group (organisation) and the module (artifact) in one of two compact convenience formats, e.g.: `@GrabExclude('org.apache.ant:ant-junit')` or `@GrabExclude('org.apache.ant#ant-junit')` Default: ""

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public String group

      The organisation or group, e.g.: "org.apache.ant"; required unless the compact form is used.

      Default:
        ""

    - #### public String module

      The module or artifact, e.g.: "ant-junit"; required unless the compact form is used.

      Default:
        ""

    - #### public String value

      Allows you to specify the group (organisation) and the module (artifact) in one of two compact convenience formats, e.g.: `@GrabExclude('org.apache.ant:ant-junit')` or `@GrabExclude('org.apache.ant#ant-junit')`

      Default:
        ""